acroread cannot print some pdf files

Bug #145772 reported by Konrad Klimaszewski on 2007-09-27
20
Affects Status Importance Assigned to Milestone
cupsys (Ubuntu)
Undecided
Unassigned
ghostscript (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: acroread

Ubuntu version: Gutsy with recent updates
Arch: Amd64

Trying to print some PDF files from acroread (both standalone and mozilla plugin) fails.
Jobs stay in the queue qith status stopped.
In /var/log/cups/error.log I find:
E [27/Sep/2007:21:18:42 +0200] PID 7634 (/usr/lib/cups/filter/foomatic-rip) stopped with status 3!
E [27/Sep/2007:21:18:45 +0200] [Job 74] Job stopped due to filter errors.
E [27/Sep/2007:21:21:00 +0200] PID 7729 (/usr/lib/cups/filter/foomatic-rip) stopped with status 3!
E [27/Sep/2007:21:21:03 +0200] [Job 76] Job stopped due to filter errors.
E [27/Sep/2007:21:22:15 +0200] PID 7854 (/usr/lib/cups/filter/foomatic-rip) stopped with status 3!
E [27/Sep/2007:21:22:18 +0200] [Job 79] Job stopped due to filter errors.
E [27/Sep/2007:21:24:26 +0200] PID 8173 (/usr/lib/cups/filter/foomatic-rip) stopped with status 3!
E [27/Sep/2007:21:24:30 +0200] [Job 80] Job stopped due to filter errors.
E [27/Sep/2007:21:24:46 +0200] PID 8191 (/usr/lib/cups/filter/foomatic-rip) stopped with status 3!
E [27/Sep/2007:21:24:49 +0200] [Job 81] Job stopped due to filter errors.

Some NON working pdfs:
http://www.rbs0.com/credible.pdf
http://www1.altkom.pl/pdf_docs/RH131.pdf
http://www.utahyouthsoccer.net/techtuesday_training_u6.pdf

Some working pdfs:
http://www.linux-magazine.pl/issue/02/Spolecznosc_Projekty.pdf
http://www.mabruk.pl/data/cennik2007.pdf

Regards,
Konrad

Konrad Klimaszewski (graag) wrote :

This probably is related to bug:
https://bugs.launchpad.net/ubuntu/+source/acroread/+bug/113976

As all files that are not printed are password protected.

Cheers,
Konrad

ubunovi (weber-klaus) wrote :

...sorry, but I have to confirm this behaviour of acroread/cups for i386-architecture too

Binary package hint: acroread

Ubuntu version: Gutsy with recent updates
Arch: i386

Printing with "Evince Dokumentenbetrachter 2.20.0" works fine.

Regards
Frank

jmagsho (jmagsho) wrote :

I too can report this with the i386 architecture and Gutsy, using network printing to an HP printer, have tried HPIJS and HPLIP drivers but to no avail. XPDF and Evince will no longer print PDF's either.

James Rankin (rankin-james) wrote :

Same problem here on x86, though I didn't have any issues with pdf's until the cups update from last week.

I have several pdf's with greek characters and/or graphics... this printed fine before, but I can no longer print any of them using acroread or evince. Nothing at all in /var/log/cups/error_log

Michael Crider (mecrider) wrote :

This is not an acroread problem. Another pdf that doesn't work is http://www.freepatterns.com/members/download.html?code=FQ00061 None of these print from acroread (7.0.9 from Adobe's website or 8.1.1 from medibuntu) or evince on x86 to an HP DJ 920C installed locally. All produce the message in error_log shown above. I have one computer still running Feisty that has the same printer installed from the network, and acroread 7.0.9 prints the same pdfs just fine. I wasn't sure when the problem showed up, but after reading James Rankin's comment above, I rolled cupsys/cupsys-bsd/cupsys-client/cupsys-common/libcupsimage2/libcupsys2 back to 1.3.2-1ubuntu7, and the problem still existed.

Claudio Bernardini (claudiob) wrote :

Same happening to me on many x86 machines. The problem showed up circa two weeks ago after some upgrade. It's critical. We have no chance to print pdf documents on a cups shared PS printer.

tomaszko (kossut) wrote :

I have the same problem, after printer is paused, no other printing aviable - reboot

regards,

tom

Neha Seth (nehaseth) wrote :

If you are unable to print password protected files (to a non PostScript printer) using Adobe Reader 8.1.1, you could check the GhostScript version on your machine. If it is "8.61 pre-release" it is likely that it's the source of the trouble. Try upgrading to the official release version (available for download at http://pages.cs.wisc.edu/~ghost/doc/GPL/gpl861.htm).

Regards,
Neha

Changed in cupsys:
status: New → Invalid

Neha,

Thanks. One of the recent HPLIP or cupsys patches seems to have corrected
the issue.

- jason

On Nov 27, 2007 12:44 AM, Neha Seth <email address hidden> wrote:

> If you are unable to print password protected files (to a non PostScript
> printer) using Adobe Reader 8.1.1, you could check the GhostScript
> version on your machine. If it is "8.61 pre-release" it is likely that
> it's the source of the trouble. Try upgrading to the official release
> version (available for download at
> http://pages.cs.wisc.edu/~ghost/doc/GPL/gpl861.htm<http://pages.cs.wisc.edu/%7Eghost/doc/GPL/gpl861.htm>
> ).
>
> Regards,
> Neha
>
> --
> acroread cannot print some pdf files
> https://bugs.launchpad.net/bugs/145772
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Always use protection. Surf with Firefox. (http://getfirefox.com)

KDontenville (kevin-keepnet) wrote :

I cant print PDFs from Evince either. Whether passworded or not. Fully current patched Gutsy and Konica Minolta 2530DL laser using network printing. All other apps print fine but when Evince attempts to print it kills the printer and it doesnt respond to other apps.

lunomad (damon-metapaso) wrote :

I just ran across this problem printing PDF files that are fillable forms. Some PDF files print OK. Others get stopped before they are sent to the printer.

System:
Gutsy w/ all updates
Acroread 8.1.1

uname -a
Linux arclight-linux 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

CUPS error log:

E [07/Dec/2007:21:01:18 +0000] [Job 182] Failed to load the PPM image
E [07/Dec/2007:21:01:18 +0000] PID 7201 (/usr/lib/cups/filter/rastertosamsungspl) stopped with status 3!
E [07/Dec/2007:21:01:19 +0000] [Job 182] Job stopped due to filter errors.

This same message occurs whether I run acroread as myself or as root. Other pdf's print without problems.
Evince will print the attached file, but when I type in information, evince prints garbled info in the forms.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers